local function treatPolygon(pointTable)
  --Set lowest x and y values to 0, and find the offset
  local newPoints = {}
  local lowestX = pointTable[1]
  local lowestY = pointTable[2]
  local highestX = pointTable[1]
  local highestY = pointTable[2]
  
  for i, coord in ipairs(pointTable) do
    if i > 2 then
      if i%2 == 1 then
        --X
        if coord < lowestX then
          lowestX = coord
        elseif coord > highestX then
          highestX = coord
        end
      else
        --Y
        if coord < lowestY then
          lowestY = coord
        elseif coord > highestY then
          highestY = coord
        end
      end
    end
  end
  
  local offsetX = lowestX - lowestX%smallTextureScale
  local offsetY = lowestY - lowestY%smallTextureScale
  
  
  for i, coord in ipairs(pointTable) do
    if i%2 == 1 then
      --X
      table.insert(newPoints, coord - offsetX)
    else
      --Y
      table.insert(newPoints, coord - offsetY)
      
    end
  end
  
  local width = highestX - lowestX
  local height = highestY - lowestY
  return newPoints, offsetX, offsetY, width, height
end



function LevelPolygon:drawFinalised()

  local brightness = 1
  if self.attributes.isBackground then  
    brightness = 0.7
  end
  love.graphics.setColor(brightness,brightness,brightness)
  
  love.graphics.push()
  
  do
    local x, y = blue.standardTransform(self.body:getPosition())
    love.graphics.push()
    love.graphics.translate(x, y)
    love.graphics.rotate(self.body:getAngle())
    love.graphics.pop()
  end
  
  
  love.graphics.translate(self.body:getX()*camera.zoom, self.body:getY()*camera.zoom)
  blue.graphics.texturedPolygon(texture.stone, self.points, smallTextureScale, self.body:getX(), self.body:getY())
  
  love.graphics.setColor(brightness,brightness,brightness, 0.2)
  blue.graphics.texturedPolygon(texture.stone, self.points, smallTextureScale*16, self.body:getX(), self.body:getY())
  
  love.graphics.pop()
end




                         